﻿/// @author Antti-Jussi Lakanen
/// @version 2025
/// <summary>
/// Demo 3, tehtävä 4.
/// </summary>
public class T4_Muunnoksia
{
    /// <summary>
    /// Funktioiden kutsut ja paluuarvojen tulostukset. 
    /// </summary>
    public static void Main()
    {
        double lampotilaF = 60.5;
        double lampotilaC = FahrenheitToCelsius(lampotilaF);
        Console.WriteLine(lampotilaC);

        double mailit = 50;
        double kilometrit = MailitKilometreiksi(mailit);
        Console.WriteLine(kilometrit);
    }

    /// <summary>
    /// Muuttaa mailit kilometreiksi.
    /// </summary>
    /// <param name="mailit">Pituus maileina.</param>
    /// <returns>Pituus kilometreinä.</returns>
    public static double MailitKilometreiksi(double mailit)
    {
        double kilometrit = mailit * 1.609344;
        return kilometrit;
    }

    /// <summary>
    /// Converts Fahrenheit degrees to Celsius degrees.
    /// </summary>
    /// <param name="temperatureF">Fahrenheit degrees.</param>
    /// <returns>Celsius degrees.</returns>
    public static double FahrenheitToCelsius(double temperatureF)
    {
        double temperatureC = (temperatureF - 32) / 1.8;
        return temperatureC;
    }
}
