using System;

/// @author Antti-Jussi Lakanen
/// @version 2025
/// <summary>
/// Demo 3, tehtävä 3.
/// </summary>
public class T3_Funktiot
{
    /// <summary>
    /// Funktioiden kutsut ja paluuarvojen tulostukset.
    /// </summary>
    public static void Main()
    {
        // Tehtävä 3a
        int uusiLuku = PlusYksi(1);
        Console.WriteLine(uusiLuku);

        // Tehtävä 3b        
        double uusiLuku2 = JaaKahdella(7);
        Console.WriteLine(uusiLuku2);
    }

    /// <summary>
    /// Jaa luku kahdella.
    /// </summary>
    /// <param name="luku">Jaettava luku.</param>
    /// <returns>Jaettu luku.</returns>
    public static double JaaKahdella(int luku)
    {
        return luku / 2.0;
    }

    /// <summary>
    /// Lisää parametrin arvoon yhden ja palauttaa tuloksen. 
    /// </summary>
    /// <param name="luku">Luku johon lisätään.</param>
    /// <returns>Luku lisättynä yhdellä.</returns>
    public static int PlusYksi(int luku)
    {
        int uusiLuku = luku + 1;
        return uusiLuku;

        // Saman voisi tehdä myös lyhyemmin:
        // return luku + 1;
    }
}
